Bug 1353571 - CVE-2016-6170 bind99: bind: Improper restriction of zone size limit [fedora-all]
Summary: CVE-2016-6170 bind99: bind: Improper restriction of zone size limit [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bind99
Version: 24
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2016-6170
TreeView+ depends on / blocked
 
Reported: 2016-07-07 13:13 UTC by Adam Mariš
Modified: 2016-11-24 08:24 UTC (History)
3 users (show)

Fixed In Version: bind99-9.9.9-4.P4.fc24 bind99-9.9.9-4.P4.fc25 bind99-9.9.9-4.P4.fc23
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-17 02:24:27 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-07-07 13:13:19 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Adam Mariš 2016-07-07 13:13:25 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1353563,1353571

# Description of your update
notes=Security fix for CVE-2016-6170

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Tomáš Hozza 2016-07-11 13:07:51 UTC
Upstream solution:

ISC wish to stress that the behavior in question is not a failure
of BIND to implement DNS protocols correctly, but is if anything
an oversight in the protocol.  However, for the convenience of
operators who take zone data from untrusted sources (such as
secondary name service providers) we have committed to delivering
a feature in upcoming maintenance releases of BIND which will
address the issue by allowing operators to set limits on the
maximum zone size BIND will accept.

This bug will be closed when new upstream version will be released.

Comment 3 Fedora Admin XMLRPC Client 2016-11-09 13:24:16 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Update System 2016-11-11 13:37:59 UTC
bind99-9.9.9-4.P4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-567a5591e4

Comment 5 Fedora Update System 2016-11-11 13:38:53 UTC
bind99-9.9.9-4.P4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9417b4c1dc

Comment 6 Fedora Update System 2016-11-11 13:39:31 UTC
bind99-9.9.9-4.P4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8e39076950

Comment 7 Fedora Update System 2016-11-11 16:58:38 UTC
bind99-9.9.9-4.P4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-567a5591e4

Comment 8 Fedora Update System 2016-11-11 22:20:09 UTC
bind99-9.9.9-4.P4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8e39076950

Comment 9 Fedora Update System 2016-11-11 22:22:21 UTC
bind99-9.9.9-4.P4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9417b4c1dc

Comment 10 Fedora Update System 2016-11-17 02:24:27 UTC
bind99-9.9.9-4.P4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-11-19 21:16:51 UTC
bind99-9.9.9-4.P4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-11-24 08:24:30 UTC
bind99-9.9.9-4.P4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.